org.apache.pdfbox.pdmodel.interactive.form

## Class PDXFAResource

- java.lang.Object
- - org.apache.pdfbox.pdmodel.interactive.form.PDXFAResource

All Implemented Interfaces:
  COSObjectable

    public final class PDXFAResource
    extends Object
    implements COSObjectable

An XML Forms Architecture (XFA) resource.

Author:
  Ben Litchfield

### Constructor Summary

Constructors
Constructor and Description
`PDXFAResource(COSBase xfaBase)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`byte[]` `getBytes()` Get the XFA content as byte array.
`COSBase` `getCOSObject()` Convert this standard java object to a COS object.
`Document` `getDocument()` Get the XFA content as W3C document.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PDXFAResource

    public PDXFAResource(COSBase xfaBase)

Constructor.

Parameters:
  `xfaBase` - The xfa resource.

### Method Detail

#### getCOSObject

    public COSBase getCOSObject()

Convert this standard java object to a COS object.

Specified by:
  `getCOSObject` in interface `COSObjectable`
Returns:
  The cos object that matches this Java object.

#### getBytes

    public byte[] getBytes()
                    throws IOException

Get the XFA content as byte array. The XFA is either a stream containing the entire XFA resource or an array specifying individual packets that together make up the XFA resource. A packet is a pair of a string and stream. The string contains the name of the XML element and the stream contains the complete text of this XML element. Each packet represents a complete XML element, with the exception of the first and last packet, which specify begin and end tags for the xdp:xdp element. [IS0 32000-1:2008: 12.7.8]

Returns:
  the XFA content
Throws:
  `IOException`

#### getDocument

    public Document getDocument()
                         throws ParserConfigurationException,
                                SAXException,
                                IOException

Get the XFA content as W3C document.

Returns:
  the XFA content
Throws:
  `ParserConfigurationException` - parser exception.
  `SAXException` - parser exception.
  `IOException` - if something went wrong when reading the XFA content.
See Also:
  `getBytes()`